﻿local L = LibStub("AceLocale-3.0", true):NewLocale("RaidTracker", "enUS", true)
if not L then return end

-- |cff9d9d9d|Hitem:7073:0:0:0:0:0:0:0:80:0|h[Broken Fang]|h|r
RT_ITEMREG =       "(|c%x+|Hitem:%d+:%d+:%d+:%d+:%d+:%d+:(%-?%d+):(%-?%d+):(%-?%d+):(%-?%d+):(%-?%d+)|h%[.-%]|h|r)%"
RT_ITEMREG_MULTI = "(|c%x+|Hitem:%d+:%d+:%d+:%d+:%d+:%d+:(%-?%d+):(%-?%d+):(%-?%d+):(%-?%d+):(%-?%d+)|h%[.-%]|h|r)x(%d+)%"

-- functional strings (must match the game strings exactly)
L.LeftRaid = "([^%s]+) has left the raid group"
L.LeftParty = "([^%s]+) leaves the party"
--L.LeftParty2 = "Your group has been disbanded"
L.ReceivesLoot1 = "([^%s]+) receives loot: "..RT_ITEMREG.."."
L.ReceivesLoot2 = "You receive loot: "..RT_ITEMREG.."."
L.ReceivesLoot3 = "([^%s]+) receives loot: "..RT_ITEMREG_MULTI.."."
L.ReceivesLoot4 = "You receive loot: "..RT_ITEMREG_MULTI.."."
--L.ReceivesLootYou = "You receive loot: "..RT_ITEMREG_MULTI.."."

L.Yell_Majordomo = "Impossible! Stay your attack, mortals... I submit! I submit!"
L["Yell_Chess Event"] = "Karazhan - Chess, Victory Controller"
L.Yell_Julianne = "O happy dagger! This is thy sheath; there rust, and let me die!"
L.Yell_Sathrovarr = "I'm... never on... the losing... side..."
-- naxx
L.Yell_Steelbreaker = "Impossible..."								-- Iron Council Hardmode / Steelbreaker last
L.Yell_Brundir = "You rush headlong into the maw of madness!"					-- Iron Council Normalmode / Brundir last
L.Yell_Molgeim = "What have you gained from my defeat? You are no less doomed, mortals!"	-- Iron Council Semimode / Molgeim last
-- ulduar
L.Yell_Freya = "His hold on me dissipates. I can see clearly once more. Thank you, heroes."
L.Yell_Thorim = "Stay your arms! I yield!"
L.Yell_Hodir = "I... I am released from his grasp... at last."
L.Yell_Mimiron = "It would appear that I've made a slight miscalculation. I allowed my mind to be corrupted by the fiend in the prison, overriding my primary directive. All systems seem to be functional now. Clear."
L["Yell_Yogg-Saron"] = "Your fate is sealed. The end of days is finally upon you and ALL who inhabit this miserable little seedling! Uulwi ifis halahs gag erh'ongg w'ssh."
-- toc
L.Yell_TwinValkyr = "The Scourge cannot be stopped..."
L.Yell_Anubarak   = "I have failed you, master..."
L["Yell_Faction Champions"] = "A shallow and tragic victory. We are weaker as a whole from the losses suffered today. Who but the Lich King could benefit from such foolishness? Great warriors have lost their lives. And for what? The true threat looms ahead - the Lich King awaits us all in death."
L.Yell_Ignis = "I...have...failed..."
-- icecrown
L.YellA_GunshipBattle = "Don't say I didn't warn ye scoundrels. Onwards, brothers and sisters!"
L.YellH_GunshipBattle = "The Alliance falter. Onward to the Lich King!"
-- firelands
L.Yell1_Ragnaros = "Too soon! ... You have come too soon..."
L.Yell2_Ragnaros = "No, nooooo... this was to be my hour of triumph..."
-- dragon soul
L["Yell_Warlord Zon'ozz"] = "Uovssh thyzz... qwaz..."
L["Yell_Yor'sahj the Unsleeping"] = "Ez, Shuul'wah! Sk'woth'gl yu'gaz yoh'ghyl iilth!"
L.Yell_Deathwing = "It is time. I will expend everything to bind every thread here, now, around the Dragon Soul. What comes to pass will NEVER be undone."
-- ms vaults
L["Yell_The Spirit Kings"] = "A secret passage has opened beneath the platform, this way!"



-- zones
L["Hyjal Summit"] = true
L["World Boss"] = true

-- non-functional (does not have to match game strings)
do		-- to release temp vars, these vars are hacks that should not be copied to non-english locale scripts
local _loc = GetLocale();
local isAS,isOR,_SP = _loc ~= "zhCN" and _loc ~= "zhTW", _loc ~= "koKR", not isAS and " " or "" 
local _VIEW = GUILD_ROSTER_VIEW and GUILD_ROSTER_VIEW:sub(1,-2) or "View"
local _COST = COSTS_LABEL and COSTS_LABEL:sub(1,-2) or "Cost"
local _TIME = SLASH_TIME1 and SLASH_TIME1 or "Time"; if not isLTR then _TIME = _TIME:gsub("^%l", string.upper) end
local _EDIT = CALENDAR_EDIT_EVENT and (isAS and CALENDAR_EDIT_EVENT:sub(1,2) or select(isOR and 1 or '#', strsplit(' ', CALENDAR_EDIT_EVENT))) or "Edit"
local _PLAYERS,_BOTH = TUTORIAL_TITLE19, CONVERSATION_MODE_POPOUT_AND_INLINE --fixme: unstable

-- karma lib (menu)
L["Item Options"] = true
L["Show Item Options"] = true
L["additem"] = true

-- addon messages
L["Added %s to the selected raid."] = true
L["%s: Must supply an item link and a player name."] = true
L["%s: There is no raid selected"] = true
L["%s: Could not add %s"] = true
L["%s: Must be a current open raid."] = true
L["/rt - Shows the main window."] = true
L["/rt options|o - Shows Options window"] = true
L["/rt io - Shows the ItemOptions window"] = true
L["/rt io [ITEMLINK|ITEMID]... - Adds items to ItemOptions window"] = true
L["/rt additem [ITEMLINK] [PLAYER] - Adds a loot item to the selected raid"] = true
L["/rt join [PLAYER] - Add a player to the selected raid"] = true
L["/rt leave [PLAYER] - Removes a player from the selected raid"] = true
L["/rt deleteall - Deletes all raids"] = true
L["/rt debug 1|0 - Enables/Disables debug mode"] = true
L["/rt addwipe - Adds a Wipe with the current timestamp"] = true

-- RaidTracker Frame
L["Back"] = BACK
L["End"] = KEY_END
L["New"] = NEW
--L["Snapshot"] = true
L["Raids"] = RAIDS
L["Loot"] = LOOT
L["Boss"] = BOSS
--L["First join"] = true
--L["Item name"] = true
L["Items"] = ITEMS
--L["Kill date"] = true
--L["Last leave"] = true
L["Looter"] = LOOTER
--L["Participants"] = true
L["Player name"] = CALENDAR_PLAYER_NAME
--L["Raid date"] = true
L["Rarity"] = RARITY
--L["Time looted"] = true
L["View Events"] = isOR and _VIEW.._SP..EVENTS_LABEL or EVENTS_LABEL.._SP.._VIEW
L["View Items"] = isOR and _VIEW.._SP..ITEMS or ITEMS.._SP.._VIEW
L["View Loot"] = isOR and _VIEW.._SP..LOOT or LOOT.._SP.._VIEW
L["View Players"] = isOR and _VIEW.._SP.._PLAYERS or _PLAYERS.._SP.._VIEW
L["View Raid"] = isOR and _VIEW.._SP..RAID or RAID.._SP.._VIEW
L["View Raids"] = isOR and _VIEW.._SP..RAIDS or RAIDS.._SP.._VIEW

-- Raid Log
--L["25"] = true
--L["10"] = true
L["Heroic"] = "|cffff0000"..PLAYER_DIFFICULTY2.."|r"

-- UI_Options
--L["Logging"] = true
--L["Parties"] = true
L["Solo"] = SOLO
--L["Battelgroups"] = true
--L["Arenas"] = true
--L["Attendees"] = true
--L["Guildies"] = true
--L["Wipes"] = true
--L["Item Quality"] = true
--L["Min Rarity"] = true
--L["Min iLevel"] = true
--L["Min to Ask Cost"] = true
--L["Min to Get Cost"] = true
--L["Max to Stack"] = true
L["Advanced"] = ADVANCED_LABEL
--L["Show Tooltips"] = true
--L["Auto Event"] = true
--L["Event Cooldown"] = true
--L["Export Level"] = true
--L["Auto Zone"] = true
--L["Debug Mode"] = true
--L["Export Format"] = true

-- UI_Options options
L["All"] = ALL
L["Online"] = FRIENDS_LIST_ONLINE
L["Zone"] = ZONE
--L["Ask at %s"] = true
--L["Ask Next"] = true
--L["Auto Create"] = true
--L["Auto Instance"] = true
L["Both"] = _BOTH
L["Default"] = DEFAULT
--L["Essential"] = true
L["Never"] = NEVER
L["Off"] = OFF
--L["On event"] = true
L["On event (All)"] = "On event ("..ALL..")"			--fixme: these
L["On event (Both)"] = "On event (".._BOTH..")"
L["On event (Online)"] = "On event ("..FRIENDS_LIST_ONLINE..")"
L["On event (Zone)"] = "On event ("..ZONE..")"
--L["On loot"] = true
L["On loot (Both)"] = "On loot (".._BOTH..")"
L["On loot (Online)"] = "On loot ("..FRIENDS_LIST_ONLINE..")"
L["On loot (Zone)"] = "On loot ("..ZONE..")"
--L["On mouseover"] = true
--L["Plain Text"] = true

-- UI_ItemOptions
L["Unknown"] = UNKNOWN
L["Log"] = GUILD_EVENT_LOG
--L["Stack"] = true
--L["Get Cost"] = true
--L["Ask Cost"] = true
--L["Item ID: "] = true
--L["Unknown (ID: "] = true

-- UI_Dialog
L["Join"] = JOIN
L["Leave"] = CHAT_LEAVE
L["Raid"] = RAID

-- UI_Button
L["None"] = NONE
L["Edit Start"] = isOR and _EDIT.._SP..START or START.._SP.._EDIT
L["Edit End"] = isOR and _EDIT.._SP..KEY_END or KEY_END.._SP.._EDIT
L["Edit Zone"] = isOR and _EDIT.._SP..ZONE or ZONE.._SP.._EDIT
L["Edit Note"] = isOR and _EDIT.._SP..LABEL_NOTE or LABEL_NOTE.._SP.._EDIT
L["Edit Looter"] = isOR and _EDIT.._SP..LOOTER or LOOTER.._SP.._EDIT
L["Edit Cost"] = isOR and _EDIT.._SP.._COST or _COST.._SP.._EDIT
L["Edit Count"] = isOR and _EDIT.._SP.."Count" or "Count".._SP.._EDIT
L["Edit Time"] = isOR and _EDIT.._SP.._TIME or _TIME.._SP.._EDIT

--L["Show Export String"] = true
--L["Edit Item Options"] = true
--L["Dropped from"] = true

L["Whisper"] = WHISPER
L["Invite"] = INVITE

--L["Bank"] = true
--L["Button"] = true
--L["Cancel"] = true
L["Delete"] = DELETE
L["Disenchant"] = ROLL_DISENCHANT
L["Done"] = DONE
--L["Export String"] = true
--L["Maybe"] = true
L["Name"] = NAME
L["No"] = NO
L["Save"] = SAVE
--L["Title"] = true
L["Yes"] = YES

end -- to release temp vars